Token payroll

Validate Bonus Only Wallets

For OFF_CYCLE payrolls, checks selected employees have verified bonus wallets for enabled tokens.

POSThttps://api.toku.com/stablecoin-payroll/validate-bonus-only-wallets

Not available to API keys yet. It will need payroll:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/validate-bonus-only-wallets' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "tokenPayrollId": "string",
  "selectedEmployeeIds": [
    "string"
  ]
}'
200 response
{
  "canProceed": true,
  "validationErrors": [
    "string"
  ],
  "employeeValidations": [
    {
      "roleInOrgID": "string",
      "employeeName": "string",
      "hasBonusOnlyWallets": true,
      "missingBonusTokenTypes": [
        "string"
      ],
      "verifiedBonusTokenTypes": [
        "string"
      ]
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

tokenPayrollIdstringrequired
selectedEmployeeIdsstring[]required

Response

200Successful response
canProceedbooleanrequired
validationErrorsstring[]required
employeeValidationsobject[]required
Show child attributes
roleInOrgIDstringrequired
employeeNamestringrequired
hasBonusOnlyWalletsbooleanrequired
missingBonusTokenTypesstring[]required
verifiedBonusTokenTypesstring[]required
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits